# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: map_code
    category: QSL\AdvancedContactUs
    type: XLite\View\FormField\Textarea\Simple
    orderby: 100
    value: '<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2624.9916256937586!2d2.2922926156743895!3d48.858370079287475!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x47e66e2964e34e2d%3A0x8ddca9ee380ef7e0!2sEiffel+Tower!5e0!3m2!1sen!2sru!4v1495027805292" width="100%" height="300" frameborder="0" style="border:0" allowfullscreen></iframe>'
    translations: [{code: en, option_name: 'Code for the map displayed on contact us page. Leave blank to hide the map.'}, {code: ru, option_name: 'Код для отображения карты на странице с формой связи. Если карта не требуется, оставьте поле пустым.'}]
    module: QSL\AdvancedContactUs
  - name: description
    category: QSL\AdvancedContactUs
    type: 'QSL\AdvancedContactUs\View\FormField\Textarea\Description'
    orderby: 200
    value: 'Contact us on any questions or possible partnerships. We answer your emails within one business day.'
    translations: [{code: en, option_name: 'Text displayed at the top of contact us form.'}, {code: ru, option_name: 'Текст для отображения над формой связи.'}]
    module: QSL\AdvancedContactUs
  - name: email
    category: QSL\AdvancedContactUs
    type: XLite\View\FormField\Input\Text\Email
    orderby: 300
    translations: [{code: en, option_name: 'E-mail address where all contact us emails will be sent to', option_comment: 'If the field is blank, then administration email is used'}, {code: ru, option_name: 'E-mail адрес, на который будут отправляться данные с формы', option_comment: 'Если оставить пустым, будет использоваться E-Mail адрес администратора магазина'}]
    module: QSL\AdvancedContactUs
XLite\Model\Notification:
  - templatesDirectory: modules/QSL/AdvancedContactUs/message
    availableForAdmin: false
    availableForCustomer: false
    enabledForAdmin: true
    enabledForCustomer: false
    adminHeaderEnabled: true
    adminGreetingEnabled: false
    adminSignatureEnabled: true
    customerHeaderEnabled: true
    customerGreetingEnabled: true
    customerSignatureEnabled: true
    editable: true
    module: QSL\AdvancedContactUs
    translations:
      - code: en
        name: 'Advanced Contact Us form submitted (Advanced Contact Us module)'
        description: 'This notification is sent to the administrator when someone submits a request via the "Advanced Contact Us" form.'
        adminSubject: 'New message via Advanced Contact Us form'
        adminText: ''
      - code: ru
        name: 'Отправлена форма связи (модуль Advanced Contact Us)'
        description: 'Данное сообщение отправляется администратору магазина когда отправляют форму связи (модуль Advanced Contact Us).'
        adminSubject: 'Новое соощение из формы связи'
        adminText: ''
      - code: es
        name: 'Envío del formulario de contacto avanzado (módulo de contacto avanzado)'
        description: 'Esta notificación se envía al administrador cuando alguien envía una solicitud a través del formulario "Contacto avanzado".'
        adminSubject: 'Nuevo mensaje a través del formulario de contacto avanzado'
        adminText: ''
XLite\Model\LanguageLabel:
  - name: 'Get in touch with us'
    translations: [{code: en, label: 'Get in touch with us'}, {code: ru, label: 'Связаться с нами'}]
  - name: 'Get in touch'
    translations: [{code: en, label: 'Get in touch'}, {code: ru, label: Связаться}]
  - name: 'Advanced contact us meta description'
    translations: [{code: en, label: 'Advanced contact us meta description'}, {code: ru, label: 'Meta описание для страницы с формой связи'}]
  - name: 'Please select...'
    translations: [{code: en, label: 'Please select…'}, {code: ru, label: Выбрать…}]
  - name: 'Contact Us form fields'
    translations: [{code: en, label: 'Contact Us form fields'}, {code: ru, label: 'Поля формы связи'}]
  - name: 'Info boxes'
    translations: [{code: en, label: 'Info boxes'}, {code: ru, label: 'Информационные блоки'}]
  - name: 'Field type'
    translations: [{code: en, label: 'Field type'}, {code: ru, label: 'Тип поля'}]
  - name: Placeholder
    translations: [{code: en, label: Placeholder}, {code: ru, label: Заполнитель}]
  - name: 'Required?'
    translations: [{code: en, label: 'Required?'}, {code: ru, label: 'Обязательное?'}]
  - name: 'Your new Contact Us page is located here'
    translations: [{code: en, label: 'Your new Contact Us page is located here <a href="{{url}}">{{url}}</a>. Old page is still in place though.'}, {code: ru, label: 'Ссылка на новую форму связи: <a href="{{url}}">{{url}}</a>. Стандартная форма связи доступна по прежнему адресу.'}]
  - name: 'When using "Selectbox" field type, please put available options into "Placeholder", using ";" (semicolon) as delimiter'
    translations:
      - code: en
        label: 'When using "Selectbox" field type, please put available options into "Placeholder", using ";" (semicolon) as delimiter'
      - code: ru
        label: 'Когда используется тип поля "Selectbox", доступные значения следует перечислить в графе "Заполнитель", заделив их точкой с запятой (";")'
  - name: 'You can translate field names and placeholders by adding corresponding language variables for them.'
    translations:
      - code: en
        label: 'You can translate field names and placeholders by adding corresponding <a href="{{url}}" target="_blank">language variables</a> for them.'
  - name: 'You can translate box headers and bodies by adding corresponding language variables for them.'
    translations:
      - code: en
        label: 'You can translate box headers and bodies by adding corresponding <a href="{{url}}" target="_blank">language variables</a> for them.'
  - name: 'A text inside curly brackets will be replaced with a corresponding language variable.'
    translations:
      - code: en
        label: 'A text inside curly brackets will be replaced with a corresponding language variable.'

QSL\AdvancedContactUs\Model\AdvancedContactUsField:
  - name: 'Your name'
    type: text
    placeholder: 'ex. John Smith'
    required: true
  - name: 'Your email'
    type: email
    placeholder: 'ex. johnsmith@gmail.com'
    required: true
  - name: Subject
    type: text
    placeholder: Subject
    required: true
  - name: Message
    type: textarea
    placeholder: 'Your message goes here'
    required: true
